/*	$Id: test-alloc-bad-filt-stmt.c,v 1.1 2019/10/09 08:42:05 kristaps Exp $ */
/*
 * Copyright (c) 2019 Kristaps Dzonsons <kristaps@bsd.lv>
 *
 * Permission to use, copy, modify, and distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHORS DISCLAIM ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHORS BE LIABLE FOR
 * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */
#include "../config.h"

#if HAVE_ERR
# include <err.h>
#endif
#include <stdint.h>
#include <stdlib.h>
#include <string.h>

#include "../sqlbox.h"
#include "regress.h"

static int
filter_int(struct sqlbox_parm *p, void **arg)
{

	p->type = SQLBOX_PARM_INT;
	p->iparm = 20;
	return 1;
}

int
main(int argc, char *argv[])
{
	struct sqlbox		*p;
	struct sqlbox_cfg	 cfg;
	struct sqlbox_filt	 filts[] = {
		{ .col = 0,
		  .stmt = 2,
		  .type = SQLBOX_FILT_GEN_OUT,
		  .filt = filter_int,
		  .free = NULL }
	};

	memset(&cfg, 0, sizeof(struct sqlbox_cfg));
	cfg.msg.func_short = warnx;
	cfg.filts.filtsz = nitems(filts);
	cfg.filts.filts = filts;

	if ((p = sqlbox_alloc(&cfg)) != NULL)
		errx(EXIT_FAILURE, "sqlbox_alloc should fail");

	return EXIT_SUCCESS;
}
